Grammarly for Microsoft Office system requirements

The following system requirements must be met to operate the Grammarly for Microsoft add-in on your computer:

  • Compatible operating systems: Windows 7, Windows 8, Windows 8.1, Windows 10.
  • Microsoft® Office: 2007, 2010, 2013, or 2016.

Please note: Grammarly does not work with Trial, Starter, or Click-to-Run versions of Office or with Vista or XP.

Was this article helpful?
Have more questions? Submit a request

Comments